static uint_T rtDataTypeSizes[] = {
  sizeof(real_T),
  sizeof(real32_T),
  sizeof(int8_T),
  sizeof(uint8_T),
  sizeof(int16_T),
  sizeof(uint16_T),
  sizeof(int32_T),
  sizeof(uint32_T),
  sizeof(boolean_T),
  sizeof(fcn_call_T),
  sizeof(int_T),
  sizeof(pointer_T),
  sizeof(action_T)
};

static const char_T * rtDataTypeNames[] = {
  "real_T",
  "real32_T",
  "int8_T",
  "uint8_T",
  "int16_T",
  "uint16_T",
  "int32_T",
  "uint32_T",
  "boolean_T",
  "fcn_call_T",
  "int_T",
  "pointer_T",
  "action_T"
};

static DataTypeTransition rtBTransitions[] = {
  {(char_T *)&(rtB.From_Workspace), 0, FALSE, -1},
  {(char_T *)&(rtB.S_Function), 8, FALSE, -1}
};

static DataTypeTransitionTable rtBTransTable = {
  2U,
  rtBTransitions
};

static DataTypeTransition rtPTransitions[] = {
  {(char_T *)(&rtP.Step_a_Time), 0, FALSE, 954} ,
  {(char_T *)(&rtP.S_Function_P1), 8, FALSE, 1} };

static DataTypeTransitionTable rtPTransTable = {
  2U,
  rtPTransitions
};

