% Linear regression using Moore-Penrose pseudo-inverse.
% Arnfinn Aas Eielsen, 2007

% Assume a dataset is initialized somewhere.
global x y

X = [ones(length(x),1), x'];

delta = inv(X'*X)*X'*y';

xx = min(x):0.01:max(x);
yy = delta(2)*xx + delta(1);
plot(x, y, '.', xx, yy)
