% Bleasdale-Nelder model.
% Arnfinn Aas Eielsen, 2007
function [F] = residual_bleasdale_nelder_vector(th)

% Assume the sample times and measurements are initialized somewhere.
global x y

a = th(1); b = th(2); c = th(3);

eta = (a + b*x).^(1/c);

F = y - eta;
