#ifndef _MATRIX_OPERATIONS_H_
#define _MATRIX_OPERATIONS_H_

static void print_matrix(float **A, int N, int M);
static void copy_matrix(float **A, float **B, int n, int N, int m, int M);
static void matrix_addition(float **A, float **B, float **C, int N, int M);
static void matrix_subtraction(float **A, float **B, float **C, int N, int M);
static void matrix_multiply(float **A, float **B, float **C, int N, int P, int M);
static void matrix_transpose(float **A, float **B, int N, int M);
static void init_zeros(float **A, int N, int M);
static void init_ident(float **A, int N);

#endif /* _MATRIX_OPERATIONS_H_ */
