% --- Parameters ---

% Sampling interval
Ts = 1e-3; % s

%dir = +1;
dir = -1;

SinusFrq = 0.0*pi; % <-
SinusAmp = 0.0*pi;

Wref = 40; % rad/s
Weight = 0.250; % kg

T_L_approx = dir*7.5e-3*9.81*Weight;

tic

Thousing = 25.0; % Initial housing temperature, in *C
Tambient = 24.0; % Ambient temperature, in *C
Tinf = (Tambient + 273.15); % C -> K
Tinit = (Thousing + 273.15)*[1 1];

EMC = 0.032; % Electromagnetic compatibility issue...
Toff = 9.75; % Temperature offset calibration (9.75)
Tamp = 1.35; % Temperature gain calibration (1.35)

% Number of runs
N_runs = 1;

wait_time = 16; % seconds

% --- ---------- ---
