% Loads data as saved by WinCon.

%  1 - 'u'
%  2 - 'i'
%  3 - 'if'
%  4 - 'omega'
%  5 - 'theta'
%  6 - 'T_L'
%  7 - 'R'
%  8 - 'ib'
%  9 - 'i_meas'
% 10 - 'if_meas'
% 11 - 'theta_meas'
% 12 - 'mWinv'
% 13 - 'Th_meas'
% 14 - 'Th'
% 15 - 'Tw'
clear plot_names
%plot_names = {'u', 'i', 'if', 'omega', 'theta', 'T_L', 'R', 'ib', 'i_meas', 'if_meas', 'theta_meas', 'mWinv', 'Th_meas', 'Th', 'Tw'};
plot_names = {'u', 'i', 'if', 'omega', 'theta', 'T_L', 'R', 'ib', 'i_meas', 'if_meas', 'theta_meas', 'mWinv', 'GS', 'ir'};

clear dir dnames plot_select N S

fname_root = 'data';

dname_root = 'comparison';

d = dir(dname_root);
n = 1;
for i = 1:length(d)
    if d(i).isdir
        if length(d(i).name) == length('yyyymmddTHHMMSS')
            dnames{n} = d(i).name;
            n = n + 1;
        end
    end
end

% Choose a set of directories
dindices = [1];
%dindices = 1:length(dnames);

% Choose data to extract
%plot_select = [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 15];
plot_select = 1:14;

n = 1;
for i = dindices
    % Select experiment
    dname = dnames{i};
    disp(dname);

    % Load parameters for experiement
    parameters_filename = [dname_root '\' dname '\parameters'];
    load(parameters_filename);
    disp(Weight)
    disp(N_runs)
    
    if 1

        N(n) = N_runs

        if 0 % Load trajectory data for experiment
            trajectory_filename = ['trajectory-' num2str(Wref) '-rad-s'];
            load([dname_root '\' trajectory_filename])
        end

        % Load saved states ("plots" in WinCon)
        for j = plot_select
            for k = 1:N_runs
                fname = [dname_root '\' dname '\' fname_root '-' plot_names{j} '-' int2str(k) '.mat'];
                S{i,j,k} = load(fname);
            end
        end

    end
    n = n + 1;
end

%S{1,1,1}.plot_time(end)

beep

