% Diplays loop, surface normal, and magnetic field.
% Arnfinn Aas Eielsen, 2007
a = 1;

phi1 = pi/4;

u0 = 0; u1 = 2*pi;
n = 25;
u = u0:(u1-u0)/n:u1;

plot3(a*cos(u), a*sin(u).*cos(phi1), a*sin(u).*sin(phi1))
%grid on
axis square
hold on
xlabel('x')
ylabel('y')
zlabel('z')
quiver3(0,0,0,0,a*sin(phi1),-a*cos(phi1))

[X Y Z] = meshgrid(-0.9:0.6:0.9,-0.9:0.6:0.3,-0.9:0.6:0.9);
[U,V,W] = meshgrid(zeros(1,4),ones(1,3),zeros(1,4));

coneplot(X,Y,Z,U,V,W,'nointerp','quiver')
