/* Matrix operations - Arnfinn Aas Eielsen, 2007 */

#include <stdio.h>
#include <stdlib.h>
#include <math.h>

static void    matrixMultiply(long double *, long double *, int, int, int, long double *);
static void    matrixAddition(long double *, long double *, int, int, long double *);
static void matrixSubtraction(long double *, long double *, int, int, long double *);
static void   matrixTranspose(long double *, int, int, long double *);
static void  gaussElimintaion(long double *, long double *, int);
static void     matrixInverse(long double *, int, long double *);
static void        matrixCopy(long double *, int, int, long double *);
static void       printMatrix(long double *, int, int);
static void       printVector(long double *, int);

#ifndef M_PI
#define M_PI	(3.14159265358979323846)
#endif

typedef struct {
    long double Re;
    long double Im;
} complex;
